<template>
  <dibs-layout page="index" layout="two-columns" :video="video">
    <template #aside-header>
      <!-- eslint-disable-next-line vue/no-v-html -->
      <h1 v-html="$t('page.index.title')" />
      <dibs-elem-lang-dropdown />
    </template>
    <template #aside-title>
      <router-link :to="localePath('about')">{{
        $t("page.about.title")
      }}</router-link>
    </template>
    <template #aside-content>
      <div class="dibs--home--logos">
        <div class="dibs--home--logos--big">
          <div v-for="(logo, id) in bigLogos" :key="'big-' + id">
            <dibs-img :alt="logo.alt" :file="logo.file" :full-width="true" />
          </div>
        </div>
        <div class="dibs--home--logos--small">
          <div v-for="(logo, id) in smallLogos" :key="'small-' + id">
            <dibs-img :alt="logo.alt" :file="logo.file" :full-width="true" />
          </div>
        </div>
      </div>
    </template>
    <template #aside-footer>
      <div style="margin-top: 1.5em">
        {{ $t("page.index.organisation_info") }}<br /><a
          target="_blank"
          href="https://www.cpeg.ch/"
          >CPEG</a
        >&nbsp;
        <a target="_blank" href="https://www.hbl.ch/">HypothekarBank</a>&nbsp;
        <a target="_blank" href="https://www.retraitespopulaires.ch/"
          >Retraites&nbsp;Populaires</a
        >&nbsp;
        <a target="_blank" href="https://www.neosis.ch/">Neosis</a>&nbsp;
        <a
          target="_blank"
          href="https://www.globaz.ch/fr/Accueil/GLOBAZ-SA-Votre-partenaire-IT.html"
          >Globaz</a
        >&nbsp;
      </div>
    </template>
    <template #content>
      <h2>{{ $t("page.index.subtitle") }}</h2>
      <p>
        {{ $t("page.index.content") }}
        <dibs-img alt="SwissID" file="logos/SwissID_small.png" />
      </p>
      <dibs-elem-btn
        :label="$t('page.index.action')"
        picto="forward"
        goto="index2"
      />
      <dibs-utils-push-up />
      <h2>{{ $t("page.index.exemples.title") }}</h2>
      <div class="dibs--home--slider dibs-scrollbar">
        <template v-for="(exemple, idx) in exemples" :key="'ex-' + idx">
          <dibs-partials-home-slider-elem
            :photo="$rt(exemple.photo)"
            :name="$rt(exemple.name)"
            :info1="$rt(exemple.info1)"
            :info2="$rt(exemple.info2)"
            :video="$rt(exemple.video)"
            :link="$rt(exemple.export)"
          />
        </template>
      </div>
    </template>
  </dibs-layout>
</template>

<script>
export default {
  name: "IndexPage",
  layout: "dibs",
  data() {
    return {
      video: this.$tm("page.index.video"),
      bigLogos: [
        {
          alt: this.$t("page.index.logos.ch.alt"),
          file: this.$t("page.index.logos.ch.file"),
        },
        {
          alt: this.$t("page.index.logos.random.alt"),
          file: this.$t("page.index.logos.random.file"),
        },
      ],
      smallLogos: [
        {
          alt: this.$t("page.index.logos.hes.alt"),
          file: this.$t("page.index.logos.hes.file"),
        },
        {
          alt: this.$t("page.index.logos.heg.alt"),
          file: this.$t("page.index.logos.heg.file"),
        },
        {
          alt: this.$t("page.index.logos.globaz.alt"),
          file: this.$t("page.index.logos.globaz.file"),
        },
        {
          alt: this.$t("page.index.logos.neosis.alt"),
          file: this.$t("page.index.logos.neosis.file"),
        },
      ],
      exemples: this.$tm("page.index.exemples.users"),
    };
  },
  mounted() {
    this.$models.Loader().off();
  },
};
</script>

<style>
.dibs--home--slider {
  display: flex;
  flex-direction: row;
  gap: 3em;
  overflow-x: auto;
  scroll-snap-type: x proximity;
  padding-bottom: 2em;
  justify-content: center;
}

.dibs--home--slider--elem .dibs--form--input--help {
  width: 100%;
}

.dibs--home--slider--elem--wrapper {
  width: 9.875em;
  left: 0px;
  top: 0px;
  background: var(--dibs-colors--grey--light);
  border: 1px solid var(--dibs-colors--grey);
  box-shadow: var(--dibs-shadow--light);
  scroll-snap-align: center;
  text-align: left;
  margin-bottom: 1em;
  cursor: pointer;
}

.dibs--home--slider--elem--content {
  padding: 1em;
}

.dibs--home--slider--elem--title {
  font-size: 0.8125em;
  margin: 0;
}

.dibs--home--slider--elem--info {
  font-size: 0.75em;
  margin: 0;
  padding: 0.5em 0 0 1em;
}

.dibs--home--logos {
  padding-top: 2em;
  display: flex;
  flex-direction: column;
  gap: 2em;
}

.dibs--home--logos--big {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0.5em;
  justify-content: space-between;
  align-items: center;
}

.dibs--home--logos--small {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 0.5em;
  justify-content: space-between;
  align-items: center;
  padding: 0.5em;
  background: white;
}

@media (780px < width < 1200px) {
  .dibs--home--logos--big {
    grid-template-columns: 1fr;
  }

  .dibs--home--logos--small {
    grid-template-columns: 1fr 1fr;
  }
}

@media (width < 500px) {
  .dibs--home--logos--big {
    grid-template-columns: 1fr;
  }

  .dibs--home--logos--small {
    grid-template-columns: 1fr 1fr;
  }
}
</style>
